
QGIS Application - Bug report #5259

moving polygon individual nodes broken in qgis master, end up moving two nodes when only one 

selected

2012-03-29 09:27 PM - Mathieu Pellerin - nIRV

Status: Closed

Priority: High

Assignee: Jürgen Fischer

Category: Vectors

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:No Copied to github as #: 14993

Description

Simple steps to reproduce the "disease":

1/ open qgis

2/ create a new (shapefile) vector layer

3/ switch the vector layer to edit mode

4/ create a polygon (4 nodes or more works well to demonstrate the problem)

5/ click on the "node tool" button

6/ click on any of the create polygon's node 

7/ mouse down over one node, drag and release it (everything is fine at this stage)

8/ mouse down over the same node, drag and release it 

beeep at this stage, you will notice 2 nodes being dragged, even though only one node was selected.

The procedure above is only one of the many ways to show the issue. I should have reported this bug earlier (I started seeing this issue

+/- one month ago) but I was lazy and thought that it was such an in-your-face bug it'd be picked up by others.

Related issues:

Duplicated by QGIS Application - Bug report # 5327: Nodetool partially broken... Closed 2012-04-05

History

#1 - 2012-04-02 05:43 AM - Benoit de Cabissole

Confirmed! And same laziness here....

In the same vein, still in "node tool" mode, click on the polygon to select it for edit, then use the mouse select 2 or more nodes of the polygon, click and drag

around the nodes to be selected. Selection in ok: all selected nodes turn square-blue (by default). Now click one of the selected nodes and drag it to a new

location. You would expect all the selected nodes to move altogether by the same amount, as in what happens in versions up to 1.7. Well, not anymore! By

clicking on a selected node, all the other selected nodes are immediately unselected...

And finally, select 2 or more nodes of a line (not polygon) feature in "node tool" mode and click the 'Delete' key: nothing happens! In Version up to 1.7, all

selected nodes were deleted. (An ugly work-around is to: 1) use the scissor tool to cut the line, 2) use the selection tool to select the segment to be deleted,

and, 3) click the 'Delete selected' button on the edit bar.)

This is under Windows7, OSGeo4W master.

#2 - 2012-04-13 02:48 AM - Jürgen Fischer

- Assignee set to Jürgen Fischer

#3 - 2012-04-15 08:46 AM - Giovanni Manghi
- Priority changed from 6 to High

#4 - 2012-04-16 04:31 AM - Giovanni Manghi

- Resolution set to duplicate

- Status changed from Open to Closed

duplicate of #5327
